# Package org.apache.solr.client.solrj.util

Utilities for Solr client applications.

Interface Summary
AsyncListener<T>: Deprecated. Use the async variants that return CompletableFuture.
Cancellable: Deprecated. Use the async variants that return CompletableFuture.

Class Summary
ClientUtils
Constants
SolrBasicAuthentication: BasicAuthentication that does not care about uri and realm
SolrIdentifierValidator: Ensures that provided identifiers align with Solr's recommendations/requirements for choosing collection, core, etc identifiers.

Enum Summary
SolrIdentifierValidator.IdentifierType